#!/usr/bin/python2.2

import pygtk
pygtk.require("2.0")
import profile, os
import sys
if len(sys.argv) < 2:
    print "\nUsage: ./test/lessonparser-test.py lessonfile-to-test\n"
    sys.exit()

if os.path.isdir("soundcard"):
    sys.path.append(".")
else:
    sys.path.append("..")

import src.i18n
import src.lessonfile

def par():
	for n in range(100):
		src.lessonfile.DictationLessonfile(sys.argv[1])

import time
print "Startet tidtaking:"
t1 = time.clock()
par()
t2 = time.clock()
print t2-t1
#profile.run("par()", "profile.txt")

#import pstats
#p = pstats.Stats("profile.txt")
##p.strip_dirs().sort_stats('time').print_stats(30)
#p.strip_dirs().sort_stats('cumulative').print_stats(30)

#bas()
